Bug 818365 - [abrt] rhythmbox-2.90.1-17.git20110927.fc16: __GI___libc_malloc: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.90.1-17.git20110927.fc16: __GI___libc_malloc: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:ac5896fe466cf2728779e97baed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 17:03 EDT by wallyk
Modified: 2013-02-13 07:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (21.25 KB, text/plain)
2012-05-02 17:03 EDT, wallyk
no flags Details
File: build_ids (8.41 KB, text/plain)
2012-05-02 17:03 EDT, wallyk
no flags Details
File: backtrace (120.38 KB, text/plain)
2012-05-02 17:03 EDT, wallyk
no flags Details
File: maps (57.28 KB, text/plain)
2012-05-02 17:03 EDT, wallyk
no flags Details

  None (edit)
Description wallyk 2012-05-02 17:03:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: __GI___libc_malloc
executable:     /usr/bin/rhythmbox
kernel:         3.3.2-6.fc16.i686
pid:            2860
pwd:            /home/wally
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
time:           Mit 02 Mai 2012 13:22:51 PDT
uid:            1000
username:       wally
xsession_errors: *** glibc detected *** rhythmbox: double free or corruption (out): 0x0aa8fe90 ***

backtrace:      Text file, 123270 bytes
build_ids:      Text file, 8610 bytes
dso_list:       Text file, 21756 bytes
maps:           Text file, 58655 bytes

comment:
:Crash did not reproduce in two subsequent attempts.  Alas, the nuances are hard to recall.
:
:1.  started rhythmbox by clicking on shortcut icon
:2.  typed "buy" in search box
:3.  changed mind, backspaced 3 times
:4.  typed "sell", saw the right track
:5.  clicked, or maybe double clicked, on third of three entries
:6.  app immediately disappeared and crash notification appeared
:
:Somewhere during the sequence, likely around steps 3 or 4, I clicked on the system's master volume icon (Gnome 3) to be sure the volume was not set too high.  Possibly clicking back and forth between rhythmbox and the system bar, altering the app's focus is involved.
:
:Another possible factor is that this crash occurred the first time running rhythmbox after rebooting after an update.  It is not apparent whether rhythmbox does any housekeeping in that situation.
:
:Perhaps related, I have had lots of trouble over the last few weeks with rhythmbox/pulseaudio hanging during playback, usually at the start of a track.  The UI continues to respond, except for closing (prompts with "wait" or "kill" probably from the UI framework).

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=lenovoR61
:LC_MONETARY=de_AT.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=adda9a112eeb70c403f88b510000000a-1335986580.220646-192623421
:LC_NUMERIC=de_AT.utf8
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-MAASui
:QTINC=/usr/lib/qt-3.3/include
:ROGUEOPTS=passgo,jump,flush
:IMSETTINGS_MODULE=none
:SVN_EDITOR=vim
:USER=wally
:USERNAME=wally
:MAIL=/var/spool/mail/wally
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/wally/.bin:/home/eldk/usr/bin:/home/eldk/bin:/home/wally/.local/bin:/home/wally/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/wally
:XMODIFIERS=@im=none
:CROSS_TOOLS=/home/eldk
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1584
:LANG=en_US.utf8
:KDEDIRS=/usr
:LC_MEASUREMENT=de_AT.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/wally
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=wally
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Qrf8fPGTkK,guid=aec35ad8d56432e1584c38c000000025
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/wally
:DISPLAY=:0
:LC_TIME=de_AT.utf8
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-wally-Djn290/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1588,unix/unix:/tmp/.ICE-unix/1588
:SSH_AUTH_SOCK=/tmp/keyring-MAASui/ssh
:GPG_AGENT_INFO=/tmp/keyring-MAASui/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1828-lenovoR61-rhythmbox-1_TIME3611568
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2860

smolt_data:
:
:
:General
:=================================
:UUID: ea5d75f5-51a1-4f62-ad3c-109fe0655430
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3591.24
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7100  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1801
:System Memory: 994
:System Swap: 2015
:Vendor: LENOVO
:System: 7733WE3 ThinkPad R61
:Form factor: Notebook
:Kernel: 3.3.2-6.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10280:6058:8360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10261:6058:8357) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:4173:6058:8378) pci, e1000e, ETHERNET, 82566MC Gigabit Network Connection
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10309:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(5772:4116:4116:1418) pci, ath5k, ETHERNET, ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10311:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10315:6058:8364) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T61
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(4480:1142:6058:8388) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad T61
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lenovor61-lv_root / ext4 4096 4096 13092026 8348061 8217029 3276800 2723755 2723755
:/dev/sda1 /boot ext4 1024 1024 508745 409497 383897 128016 127739 127739
:/dev/mapper/vg_lenovor61-lv_home /home ext4 4096 4096 44794428 20349165 18106605 11214848 10572592 10572592
:

var_log_messages:
:May  2 13:22:51 lenovoR61 kernel: [ 3628.537200] rhythmbox[2860]: segfault at aaab004 ip 41d342cd sp bfc7e100 error 4 in libc-2.14.90.so[41cbd000+1a7000]
:May  2 13:22:52 lenovoR61 abrt[2880]: Saved core dump of pid 2860 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-05-02-13:22:51-2860 (122716160 bytes)
Comment 1 wallyk 2012-05-02 17:03:46 EDT
Created attachment 581715 [details]
File: dso_list
Comment 2 wallyk 2012-05-02 17:03:48 EDT
Created attachment 581716 [details]
File: build_ids
Comment 3 wallyk 2012-05-02 17:03:49 EDT
Created attachment 581717 [details]
File: backtrace
Comment 4 wallyk 2012-05-02 17:03:51 EDT
Created attachment 581718 [details]
File: maps
Comment 5 Fedora End Of Life 2013-01-16 07:20:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 07:35:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.